Bug 89108 - drm_wait_one_vblank warnings
Summary: drm_wait_one_vblank warnings
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: medium normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-12 16:39 UTC by Sitsofe Wheeler
Modified: 2016-10-10 11:43 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments
EeePC dmesg (73.12 KB, text/plain)
2015-02-12 16:39 UTC, Sitsofe Wheeler
no flags Details
EeePC dmesg (40.74 KB, text/plain)
2015-02-13 15:36 UTC, Sitsofe Wheeler
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sitsofe Wheeler 2015-02-12 16:39:02 UTC
Created attachment 113413 [details]
EeePC dmesg

Description of the problem:
When I boot up a v3.19 kernel on my EeePC 900 I get various drm_wait_one_vblank warnings.

Steps to reproduce:
1. Boot a v3.19 Linux kernel on an EeePC 900.

Expected results:
No warnings

Actual results:
Warnings like:
[    0.516749] WARNING: CPU: 0 PID: 10 at drivers/gpu/drm/drm_irq.c:1121 drm_wait_one_vblank+0x138/0x170()
[    0.516754] vblank not available on crtc 0, ret=-22

How reproducible is the problem?
It is reproducible every time.

Additional information:
Might be related to https://lkml.org/lkml/2015/1/31/198 .

Version information:
Ubuntu 14.04
EeePC 900
xorg 1:7.7+1ubuntu8
xserver-xorg 1:7.7+1ubuntu8
xserver-xorg-video-intel 2:2.99.910-0ubuntu1.4
Linux kernel 3.19
Comment 1 Jani Nikula 2015-02-12 17:04:48 UTC
Please try drm-intel-nightly branch of http://cgit.freedesktop.org/drm-intel
Comment 2 Sitsofe Wheeler 2015-02-12 17:36:19 UTC
Sadly that kernel doesn't boot at all - just an empty black screen.
Comment 3 Jani Nikula 2015-02-13 07:17:00 UTC
(In reply to Sitsofe Wheeler from comment #2)
> Sadly that kernel doesn't boot at all - just an empty black screen.

Meh. What if you cherry pick

commit f9b61ff6bce9a44555324b29e593fdffc9a115bc
Author: Daniel Vetter <daniel.vetter@ffwll.ch>
Date:   Wed Jan 7 13:54:39 2015 +0100

    drm/i915: Push vblank enable/disable past encoder->enable/disable

on top of v3.19?
Comment 4 Sitsofe Wheeler 2015-02-13 15:36:44 UTC
Created attachment 113465 [details]
EeePC dmesg

f9b61ff6bce9a44555324b29e593fdffc9a115bc solves the drm_wait_one_vblank warning but check_crtc_state (pipe state doesn't match!) still remains. Do you want a separate bug for that?
Comment 5 Jani Nikula 2015-02-18 16:11:04 UTC
(In reply to Sitsofe Wheeler from comment #4)
> Created attachment 113465 [details]
> EeePC dmesg
> 
> f9b61ff6bce9a44555324b29e593fdffc9a115bc solves the drm_wait_one_vblank
> warning but check_crtc_state (pipe state doesn't match!) still remains. Do
> you want a separate bug for that?

Sorry for the delay - yes please. I'll try to get the referenced commit backported to v3.19 stable kernels.
Comment 6 Sitsofe Wheeler 2015-02-18 18:17:17 UTC
New issue filed as #89209 . Feel free to close this issue as resolved when you're ready Jani!
Comment 7 Jani Nikula 2015-03-02 10:27:37 UTC
http://mid.gmane.org/874mq3oif5.fsf@intel.com
Comment 8 Jani Nikula 2015-03-02 10:27:59 UTC
Thanks for the report.
Comment 9 Harvey 2015-03-27 08:04:00 UTC
Still valid for 3.19.3 FWIW, here is my journalctl output:

Mär 27 08:30:08 teefax kernel: [drm] Memory usable by graphics device = 256M
Mär 27 08:30:08 teefax kernel: checking generic (d0000000 130000) vs hw (d0000000 10000000)
Mär 27 08:30:08 teefax kernel: fb: switching to inteldrmfb from VESA VGA
Mär 27 08:30:08 teefax kernel: Console: switching to colour dummy device 80x25
Mär 27 08:30:08 teefax kernel: [drm] Replacing VGA console driver
Mär 27 08:30:08 teefax kernel: [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
Mär 27 08:30:08 teefax kernel: [drm] Driver supports precise vblank timestamp query.
Mär 27 08:30:08 teefax kernel: vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
Mär 27 08:30:08 teefax kernel: [drm] initialized overlay support
Mär 27 08:30:08 teefax kernel: [drm] Initialized i915 1.6.0 20141121 for 0000:00:02.0 on minor 0
Mär 27 08:30:08 teefax kernel: ------------[ cut here ]------------
Mär 27 08:30:08 teefax kernel: WARNING: CPU: 0 PID: 80 at drivers/gpu/drm/drm_irq.c:1121 drm_wait_one_vblank+0x154/0x160 [drm]()
Mär 27 08:30:08 teefax kernel: vblank not available on crtc 0, ret=-22
Mär 27 08:30:08 teefax kernel: Modules linked in: i915 iTCO_wdt iTCO_vendor_support ppdev evdev drm_kms_helper gpio_ich mac_hid r8169 pa
Mär 27 08:30:08 teefax kernel: CPU: 0 PID: 80 Comm: kworker/u4:4 Not tainted 3.19.3-1-ck #1
Mär 27 08:30:08 teefax kernel: Hardware name:                  /D945GSEJT, BIOS JT94510H.86A.0045.2010.0519.1750 05/19/2010
Mär 27 08:30:08 teefax kernel: Workqueue: events_unbound async_run_entry_fn
Mär 27 08:30:08 teefax kernel:  c15df987 fe207313 00000000 f51ebab8 c1474bdd f51ebafc f51ebaec c10533ab
Mär 27 08:30:08 teefax kernel:  f84e18a8 f51ebb1c 00000050 f84df963 00000461 f84bc194 00000461 f84bc194
Mär 27 08:30:08 teefax kernel:  f5c60000 f5c78400 00000000 f51ebb08 c105341e 00000009 f51ebafc f84e18a8
Mär 27 08:30:08 teefax kernel: Call Trace:
Mär 27 08:30:08 teefax kernel:  [<c1474bdd>] dump_stack+0x48/0x69
Mär 27 08:30:08 teefax kernel:  [<c10533ab>] warn_slowpath_common+0x8b/0xc0
Mär 27 08:30:08 teefax kernel:  [<f84bc194>] ? drm_wait_one_vblank+0x154/0x160 [drm]
Mär 27 08:30:08 teefax kernel:  [<f84bc194>] ? drm_wait_one_vblank+0x154/0x160 [drm]
Mär 27 08:30:08 teefax kernel:  [<c105341e>] warn_slowpath_fmt+0x3e/0x60
Mär 27 08:30:08 teefax kernel:  [<f84bc194>] drm_wait_one_vblank+0x154/0x160 [drm]
Mär 27 08:30:08 teefax kernel:  [<f87fa6d2>] intel_enable_tv+0x22/0x60 [i915]
Mär 27 08:30:08 teefax kernel:  [<f87c7e6d>] i9xx_crtc_enable+0x35d/0x420 [i915]
Mär 27 08:30:08 teefax kernel:  [<f87c6775>] __intel_set_mode+0x8d5/0xab0 [i915]
Mär 27 08:30:08 teefax kernel:  [<f87cbcb6>] intel_set_mode+0x76/0xb0 [i915]
Mär 27 08:30:08 teefax kernel:  [<f87cbeed>] intel_get_load_detect_pipe+0x1fd/0x4a0 [i915]
Mär 27 08:30:08 teefax kernel:  [<f87fb236>] intel_tv_detect+0x106/0x5d0 [i915]
Mär 27 08:30:08 teefax kernel:  [<c1090001>] ? irq_create_mapping+0x1d1/0x220
Mär 27 08:30:08 teefax kernel:  [<f85a27f8>] drm_helper_probe_single_connector_modes_merge_bits+0x2c8/0x410 [drm_kms_helper]
Mär 27 08:30:08 teefax kernel:  [<f85a2957>] drm_helper_probe_single_connector_modes+0x17/0x20 [drm_kms_helper]
Mär 27 08:30:08 teefax kernel:  [<f85aba11>] drm_fb_helper_probe_connector_modes.isra.3+0x41/0x60 [drm_kms_helper]
Mär 27 08:30:08 teefax kernel:  [<f85acab8>] drm_fb_helper_initial_config+0x48/0x590 [drm_kms_helper]
Mär 27 08:30:08 teefax kernel:  [<c1073aa2>] ? finish_task_switch+0x42/0xd0
Mär 27 08:30:08 teefax kernel:  [<c1476135>] ? schedule+0x905/0x1040
Mär 27 08:30:08 teefax kernel:  [<f87da069>] intel_fbdev_initial_config+0x19/0x20 [i915]
Mär 27 08:30:08 teefax kernel:  [<c106f2ae>] async_run_entry_fn+0x4e/0x170
Mär 27 08:30:08 teefax kernel:  [<c1067ee0>] ? pwq_dec_nr_in_flight+0x40/0x90
Mär 27 08:30:08 teefax kernel:  [<c1068463>] process_one_work+0x113/0x370
Mär 27 08:30:08 teefax kernel:  [<c1099c5d>] ? try_to_del_timer_sync+0x4d/0x80
Mär 27 08:30:08 teefax kernel:  [<c10689d9>] worker_thread+0x39/0x420
Mär 27 08:30:08 teefax kernel:  [<c10689a0>] ? init_pwq.part.31+0x10/0x10
Mär 27 08:30:08 teefax kernel:  [<c106cc36>] kthread+0xa6/0xc0
Mär 27 08:30:08 teefax kernel:  [<c1479cc1>] ret_from_kernel_thread+0x21/0x30
Mär 27 08:30:08 teefax kernel:  [<c106cb90>] ? kthread_create_on_node+0x130/0x130
Mär 27 08:30:08 teefax kernel: ---[ end trace 1814e8df15ec21a8 ]---
Mär 27 08:30:08 teefax kernel: i915 0000:00:02.0: No connectors reported connected with modes
Mär 27 08:30:08 teefax kernel: [drm] Cannot find any crtc or sizes - going 1024x768
Mär 27 08:30:08 teefax kernel: fbcon: inteldrmfb (fb0) is primary device
Mär 27 08:30:08 teefax kernel: Console: switching to colour frame buffer device 128x48
Mär 27 08:30:08 teefax kernel: i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
Mär 27 08:30:08 teefax kernel: i915 0000:00:02.0: registered panic notifier
Comment 10 Jani Nikula 2015-03-27 09:27:53 UTC
Please reopen if you can reproduce on v4.0-rc1 or later. The backport request for v3.19.y has been sent, see comment #7, nothing more we can do.
Comment 11 Christian Hartmann 2015-04-23 09:19:20 UTC
still present in:
-> 3.19.5  and
-> 4.0.0

<snips>
BOOT_IMAGE=/vmlinuz-3.19.5.6 root=UUID=6c3bcf92-5a26-4dde-95e3-78ceb9aaa35b ro i
915.modeset=1 rhgb quiet LANG=de_DE.UTF-8 i915.force_backlight_pmic=0

...
[    1.213951] [drm] Initialized drm 1.1.0 20060810
[    1.215856] [drm] Memory usable by graphics device = 2048M
[    1.215866] checking generic (80000000 8ca000) vs hw (80000000 10000000)
[    1.215871] fb: switching to inteldrmfb from simple
[    1.215920] Console: switching to colour dummy device 80x25
[    1.216086] [drm] Replacing VGA console driver
[    1.217799] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.217804] [drm] Driver supports precise vblank timestamp query.
[    1.217840] [drm:intel_parse_bios] *ERROR* Unknown element
[    1.217852] [drm:intel_parse_bios] *ERROR* Sequence elements going beyond block itself. Sequence block parsing failed
[    1.259808] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    1.281232] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    1.282662] acpi device:21: registered as cooling_device4
[    1.282866] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input1
[    1.282938] [drm] Initialized i915 1.6.0 20141121 for 0000:00:02.0 on minor 0
...
...
[    1.289898] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    1.336417] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[    1.350512] fbcon: inteldrmfb (fb0) is primary device
[    2.333926] i8042: No controller found
...
[    2.536902] Console: switching to colour frame buffer device 150x120
[    2.573929] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    2.573932] i915 0000:00:02.0: registered panic notifier
...
[    3.833614] EXT4-fs (mmcblk0p4): mounted filesystem with ordered data mode. Opts: (null)
[    3.935493] ------------[ cut here ]------------
[    3.935536] WARNING: CPU: 3 PID: 262 at drivers/gpu/drm/drm_irq.c:1130 drm_wait_one_vblank+0x177/0x180()
[    3.935546] vblank wait timed out on crtc 0
[    3.935553] Modules linked in: ax88179_178a usbnet mii
[    3.935588] CPU: 3 PID: 262 Comm: plymouthd Not tainted 3.19.5.6 #83


If you need more debugs, I have plenty of them...
Comment 12 Christian Hartmann 2015-04-23 09:47:12 UTC
on the yoga 2 851f tablet I am also trying often to get KMS working but like with the 3.19.y branch still no luck.

I am using vanilla kernels, and also with one or two patches of /from the fedlet image derived.

here the short debug from linux-stable v4.0.0 (and all previous versions like rc1 till rc7 too)

BOOT_IMAGE=/vmlinuz-4.0.0.6 root=UUID=6c3bcf92-5a26-4dde-95e3-78ceb9aaa35b ro i915.modeset=1 rhgb quiet LANG=de_DE.UTF-8 i915.force_backlight_pmic=1

lshw:
        *-display
             description: VGA compatible controller
             product: Atom Processor Z36xxx/Z37xxx Series Graphics & Display
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 0d
             width: 32 bits
             clock: 33MHz
             capabilities: pm msi vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:205 memory:90000000-903fffff memory:80000000-8fffffff ioport:1000(size=8)

lspci:
00:02.0 VGA compatible controller: Intel Corporation Atom Processor Z36xxx/Z37xxx Series Graphics & Display (rev 0d) (prog-if 00 [VGA controller])
        Subsystem: Intel Corporation Device 7270
        Flags: bus master, fast devsel, latency 0, IRQ 205
        Memory at 90000000 (32-bit, non-prefetchable) [size=4M]
        Memory at 80000000 (32-bit, prefetchable) [size=256M]
        I/O ports at 1000 [size=8]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: [d0] Power Management version 2
        Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
        Capabilities: [b0] Vendor Specific Information: Len=07 <?>
        Kernel driver in use: i915

snap of dmesg:
[    1.275627] [drm] Initialized drm 1.1.0 20060810
[    1.277552] [drm] Memory usable by graphics device = 2048M
[    1.277574] checking generic (80000000 8ca000) vs hw (80000000 10000000)
[    1.277579] fb: switching to inteldrmfb from simple
[    1.277631] Console: switching to colour dummy device 80x25
[    1.277848] [drm] Replacing VGA console driver
[    1.279567] [drm] Supports vblank timestamp caching Rev 2 (21.10.2013).
[    1.279573] [drm] Driver supports precise vblank timestamp query.
[    1.279600] [drm:intel_parse_bios] *ERROR* Unknown element
[    1.279611] [drm:intel_parse_bios] *ERROR* Sequence elements going beyond block itself. Sequence block parsing failed
[    1.317468] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=io+mem:owns=io+mem
[    1.331700] ACPI: Video Device [GFX0] (multi-head: yes  rom: no  post: no)
[    1.332138] input: Video Bus as /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/LNXVIDEO:00/input/input1
[    1.332227] [drm] Initialized i915 1.6.0 20150130 for 0000:00:02.0 on minor 0
...
[    1.388711] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[    1.402951] fbcon: inteldrmfb (fb0) is primary device
[    2.382620] i8042: No controller found
[    2.382647] Switched to clocksource tsc
[    2.382801] mousedev: PS/2 mouse device common for all mice
[    2.383565] ACPI Warning: Could not enable fixed event - RealTimeClock (4) (20150204/evxface-654)
[    2.383878] rtc_cmos 00:00: rtc core: registered rtc_cmos as rtc0
[    2.384137] rtc_cmos: probe of 00:00 failed with error -22
...
[    2.564883] Console: switching to colour frame buffer device 150x120
[    2.597839] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    2.597842] i915 0000:00:02.0: registered panic notifier
[    2.603428] Freeing unused kernel memory: 784K (c0ed1000 - c0f95000)
...
[    3.689692] usb 1-1.2.3: Product: Dell USB Keyboard
[    3.689696] usb 1-1.2.3: Manufacturer: Dell
[    3.690069] usb 1-1.2.3: ep 0x81 - rounding interval to 128 microframes, ep desc says 192 microframes
[    3.696168] input: Dell Dell USB Keyboard as /devices/pci0000:00/0000:00:14.0/usb1/1-1/1-1.2/1-1.2.3/1-1.2.3:1.0/0003:413C:2003.0002/input/input3
[    3.747717] hid-generic 0003:413C:2003.0002: input,hidraw1: USB HID v1.10 Keyboard [Dell Dell USB Keyboard] on usb-0000:00:14.0-1.2.3/input0
[    3.753699] ax88179_178a 1-1.3:1.0 eth0: register 'ax88179_178a' at usb-0000:00:14.0-1.3, ASIX AX88179 USB 3.0 Gigabit Ethernet, 00:fe:c8:f7:bc:d
9
[    3.753760] usbcore: registered new interface driver ax88179_178a
[    3.757735] ax88179_178a 1-1.3:1.0 enp0s20u1u3: renamed from eth0
[    3.838426] ------------[ cut here ]------------
[    3.838467] WARNING: CPU: 2 PID: 264 at drivers/gpu/drm/drm_irq.c:1138 drm_wait_one_vblank+0x177/0x180()
[    3.838479] vblank wait timed out on crtc 0
[    3.838488] Modules linked in: ax88179_178a usbnet mii
[    3.838526] CPU: 2 PID: 264 Comm: plymouthd Not tainted 4.0.0.6 #81
[    3.838537] Hardware name: LENOVO 60072/INVALID, BIOS 02WT18WW 08/01/2014
[    3.838548]  c0e31947 d6eaedba 00000000 f689bc70 c0b13585 f689bcb0 f689bca0 c0449d57
[    3.838585]  c0d9d7f8 f689bcd0 00000108 c0d7050b 00000472 c07cbe57 c07cbe57 00000000
[    3.838620]  f4b77800 00000000 f689bcbc c0449dce 00000009 f689bcb0 c0d9d7f8 f689bcd0
[    3.838656] Call Trace:
[    3.838685]  [<c0b13585>] dump_stack+0x41/0x52
[    3.838710]  [<c0449d57>] warn_slowpath_common+0x87/0xc0
[    3.838731]  [<c07cbe57>] ? drm_wait_one_vblank+0x177/0x180
[    3.838750]  [<c07cbe57>] ? drm_wait_one_vblank+0x177/0x180
[    3.838771]  [<c0449dce>] warn_slowpath_fmt+0x3e/0x60
[    3.838791]  [<c07cbe57>] drm_wait_one_vblank+0x177/0x180
[    3.838815]  [<c0481480>] ? prepare_to_wait_event+0xc0/0xc0
[    3.838835]  [<c07cbe79>] drm_crtc_wait_one_vblank+0x19/0x20
[    3.838857]  [<c07bb86a>] drm_plane_helper_commit+0x24a/0x280
[    3.838878]  [<c07bb918>] drm_plane_helper_update+0x78/0xc0
[    3.838898]  [<c084c63c>] intel_crtc_set_config+0xa1c/0xde0
[    3.838922]  [<c07d448e>] drm_mode_set_config_internal+0x4e/0xc0
[    3.838942]  [<c07d7f06>] drm_mode_setcrtc+0xc6/0x5a0
[    3.838963]  [<c07d7e40>] ? drm_mode_setplane+0x230/0x230
[    3.838982]  [<c07ca38f>] drm_ioctl+0x1cf/0x520
[    3.839004]  [<c05618a5>] ? kmem_cache_alloc_trace+0x175/0x1e0
[    3.839024]  [<c0524182>] ? free_hot_cold_page_list+0x42/0x90
[    3.839043]  [<c07d7e40>] ? drm_mode_setplane+0x230/0x230
[    3.839065]  [<c06864a2>] ? af_alg_cmsg_send+0xc2/0xd0
[    3.839089]  [<c07ca1c0>] ? drm_getmap+0xc0/0xc0
[    3.839130]  [<c058342a>] do_vfs_ioctl+0x30a/0x510
[    3.839151]  [<c06596b2>] ? inode_has_perm.isra.34+0x32/0x40
[    3.839170]  [<c0659807>] ? file_has_perm+0x97/0xa0
[    3.839191]  [<c065a55c>] ? selinux_file_ioctl+0x4c/0xf0
[    3.839212]  [<c0583690>] SyS_ioctl+0x60/0x90
[    3.839240]  [<c06864a2>] ? af_alg_cmsg_send+0xc2/0xd0
[    3.839260]  [<c06864a2>] ? af_alg_cmsg_send+0xc2/0xd0
[    3.839280]  [<c0b1bb8f>] sysenter_do_call+0x12/0x12
[    3.839300]  [<c06864a2>] ? af_alg_cmsg_send+0xc2/0xd0
[    3.839319]  [<c06864a2>] ? af_alg_cmsg_send+0xc2/0xd0
[    3.839334] ---[ end trace 409865246eac131f ]---

and after that I tried a build with the merge of intel-drm-nightly like it was suggested in comment 13 on this bug https://bugzilla.kernel.org/show_bug.cgi?id=92171
Comment 13 Jani Nikula 2015-06-02 10:05:16 UTC
(In reply to Christian Hartmann from comment #11)
> still present in:
> -> 3.19.5  and
> -> 4.0.0

...

> [    3.935536] WARNING: CPU: 3 PID: 262 at drivers/gpu/drm/drm_irq.c:1130
> drm_wait_one_vblank+0x177/0x180()
> [    3.935546] vblank wait timed out on crtc 0

Please observe that this is a different warning, and a different bug. Closing again.

Please reopen if you see "vblank not available on crtc 0, ret=-22".

Otherwise, please file a new bug. Or find another bug with your error message. Thank you.
Comment 14 oliver.pahl 2015-08-13 16:46:27 UTC
I experience the same issue on kernel 4.2-rc6. Before that I needed to boot with the i915.preliminary_hw_support=1 i915.enable_ips=0 kerne parameters, otherwise switching VTs was broken. Now switching works but I get the vblank issue and graphical artifacts. If you need more info or think this is a different bug, please state it so I can open another one. Also contact me if you need more info.


[    1.546774] ------------[ cut here ]------------
[    1.546794] WARNING: CPU: 0 PID: 6 at drivers/gpu/drm/drm_irq.c:1162 drm_wait_one_vblank+0x16e/0x1c0 [drm]()
[    1.546795] vblank not available on crtc 0, ret=-22
[    1.546844] Modules linked in: msr arc4 bnep bluetooth snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support intel_rapl iwlmvm iosf_mbi mac80211 nls_iso8859_1 intel_powerclamp coretemp kvm_intel nls_cp437 kvm vfat fat crct10dif_pclmul evdev crc32_pclmul input_leds mac_hid crc32c_intel psmouse serio_raw iwlwifi ghash_clmulni_intel aesni_intel aes_x86_64 lrw snd_hda_codec_conexant gf128mul glue_helper ablk_helper snd_hda_codec_generic cryptd i915 snd_hda_intel rtsx_pci_ms thinkpad_acpi snd_hda_codec memstick snd_hda_core nvram wmi led_class tpm_tis drm_kms_helper battery tpm cfg80211 acpi_pad drm ac snd_hwdep video mei_me rfkill intel_gtt snd_pcm i2c_algo_bit i2c_i801 snd_timer button mei snd lpc_ich soundcore i2c_core shpchp processor sch_fq_codel ip_tables x_tables ext4 crc16 mbcache jbd2 sd_mod rtsx_pci_sdmmc
[    1.546852]  mmc_core atkbd libps2 ahci libahci xhci_pci ehci_pci libata xhci_hcd ehci_hcd usbcore scsi_mod rtsx_pci usb_common i8042 serio
[    1.546854] CPU: 0 PID: 6 Comm: kworker/u16:0 Tainted: G     U          4.2.0-rc6-ARCH #1
[    1.546855] Hardware name: LENOVO 20DL0029GE/20DL0029GE, BIOS JEET65WW (1.14 ) 05/30/2015
[    1.546860] Workqueue: events_unbound async_run_entry_fn
[    1.546863]  0000000000000000 0000000089ad6b61 ffff8802252cb6e8 ffffffff81559be2
[    1.546865]  0000000000000000 ffff8802252cb740 ffff8802252cb728 ffffffff81073786
[    1.546867]  0000000100000000 ffff880223cab800 ffff880223cab800 0000000000000000
[    1.546867] Call Trace:
[    1.546872]  [<ffffffff81559be2>] dump_stack+0x4c/0x6e
[    1.546875]  [<ffffffff81073786>] warn_slowpath_common+0x86/0xc0
[    1.546877]  [<ffffffff81073815>] warn_slowpath_fmt+0x55/0x70
[    1.546883]  [<ffffffffa031e3fe>] drm_wait_one_vblank+0x16e/0x1c0 [drm]
[    1.546916]  [<ffffffffa054ed82>] intel_finish_crtc_commit+0x162/0x170 [i915]
[    1.546920]  [<ffffffffa04341a0>] drm_atomic_helper_commit_planes+0x170/0x200 [drm_kms_helper]
[    1.546946]  [<ffffffffa054ffad>] __intel_set_mode+0x8ad/0xb80 [i915]
[    1.546973]  [<ffffffffa0556e79>] intel_crtc_set_config+0x2c9/0x600 [i915]
[    1.546980]  [<ffffffffa03269f6>] drm_mode_set_config_internal+0x66/0x100 [drm]
[    1.546983]  [<ffffffffa0437522>] restore_fbdev_mode+0xc2/0xf0 [drm_kms_helper]
[    1.546987]  [<ffffffffa0439489>] drm_fb_helper_restore_fbdev_mode_unlocked+0x29/0x70 [drm_kms_helper]
[    1.546989]  [<ffffffffa04394f2>] drm_fb_helper_set_par+0x22/0x40 [drm_kms_helper]
[    1.547016]  [<ffffffffa05656fa>] intel_fbdev_set_par+0x1a/0x60 [i915]
[    1.547019]  [<ffffffff8131c9e8>] fbcon_init+0x538/0x5c0
[    1.547022]  [<ffffffff81395f1e>] visual_init+0xce/0x130
[    1.547024]  [<ffffffff81397a4e>] do_bind_con_driver+0x1be/0x3e0
[    1.547027]  [<ffffffff81397fa9>] do_take_over_console+0x149/0x1a0
[    1.547029]  [<ffffffff81558d87>] ? printk+0x55/0x6b
[    1.547032]  [<ffffffff8131cac7>] do_fbcon_takeover+0x57/0xb0
[    1.547033]  [<ffffffff81320c80>] fbcon_event_notify+0x660/0x760
[    1.547036]  [<ffffffff810920fe>] notifier_call_chain+0x4e/0x80
[    1.547038]  [<ffffffff810924bb>] __blocking_notifier_call_chain+0x4b/0x70
[    1.547040]  [<ffffffff810924f6>] blocking_notifier_call_chain+0x16/0x20
[    1.547041]  [<ffffffff81326a7b>] fb_notifier_call_chain+0x1b/0x20
[    1.547043]  [<ffffffff81328c75>] register_framebuffer+0x215/0x350
[    1.547047]  [<ffffffffa043976f>] drm_fb_helper_initial_config+0x25f/0xaf0 [drm_kms_helper]
[    1.547071]  [<ffffffffa05661ab>] intel_fbdev_initial_config+0x1b/0x20 [i915]
[    1.547073]  [<ffffffff81093c3c>] async_run_entry_fn+0x4c/0x160
[    1.547076]  [<ffffffff8108b4bb>] process_one_work+0x14b/0x440
[    1.547088]  [<ffffffff8108b7f8>] worker_thread+0x48/0x4a0
[    1.547090]  [<ffffffff8108b7b0>] ? process_one_work+0x440/0x440
[    1.547092]  [<ffffffff81091458>] kthread+0xd8/0xf0
[    1.547094]  [<ffffffff81091380>] ? kthread_worker_fn+0x170/0x170
[    1.547097]  [<ffffffff8155f55f>] ret_from_fork+0x3f/0x70
[    1.547099]  [<ffffffff81091380>] ? kthread_worker_fn+0x170/0x170
[    1.547100] ---[ end trace 601e65f5cbcc5269 ]---
Comment 15 oliver.pahl 2015-08-13 17:09:47 UTC
I just applied the latest patches from the drm-intel-fixes branch on http://cgit.freedesktop.org/drm-intel and the warning as well as the artifacts are gone. So marking this as resolved again. Sorry I did not try before reopening.
Comment 16 Jari Tahvanainen 2016-10-10 11:43:03 UTC
Closing resolved+fixed with verification by oliver.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.